<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:a="http://xmlns.jcp.org/jsf/passthrough"
                xmlns:f="http://xmlns.jcp.org/jsf/core"
                xmlns:h="http://xmlns.jcp.org/jsf/html"
                xmlns:p="http://primefaces.org/ui"
                xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
                xmlns:jsf="http://xmlns.jcp.org/jsf">
    <h:body> 
        <div class="container">
            <h2>#{msgs.manageSales}</h2>
            <h:form id="saleForm">
                <p:growl id="growl" showDetail="true"/>
                <h:panelGroup >
                    <p:dataTable filteredValue="#{theBooks.filteredBookList}" 
                                 emptyMessage="#{msgs.noBooksFound}" 
                                 widgetVar="bookTable" 
                                 id="datatable"
                                 value="#{theBooks.allBooks}" 
                                 var="books"
                                 paginator="true"
                                 paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
                                 currentPageReportTemplate="{startRecord}-{endRecord} of {totalRecords} records"
                                 rowsPerPageTemplate="5,10,30,100"
                                 rows="10">
                        <f:facet name="header">
                            <p:outputPanel>
                                <h:outputText value="#{msgs.search}:" />
                                <p:inputText id="globalFilter" onkeyup="PF('bookTable').filter()" style="width:350px" placeholder="#{msgs.enterBookisbn} #{msgs.ou} #{msgs.title}"/>
                            </p:outputPanel>
                        </f:facet>
                        <p:column colspan="2" filterStyle="display:none" filterBy="#{books.isbn}" filterMatchMode="contains">
                            <f:facet name="header" >#{msgs.isbn}</f:facet>
                            <h:outputText value="#{books.isbn}" /> 
                        </p:column>
                        <p:column colspan="2" filterStyle="display:none" filterBy="#{books.title}" filterMatchMode="contains">
                            <f:facet name="header">#{msgs.title}</f:facet>
                            <h:outputText value="#{books.title}" />    
                        </p:column>
                        <p:column>
                            <f:facet name="header">#{msgs.wholePrice}</f:facet>
                            <h:outputText id="wprice" value="#{books.wholesalePrice}"/>
                        </p:column>
                        <p:column>
                            <f:facet name="header">#{msgs.listPrice}</f:facet>
                                #{books.listPrice}
                        </p:column>
                        <p:column>
                            <f:facet name="header">#{msgs.salePrice}</f:facet>
                            <h:outputText class="#{books.salePrice != books.listPrice? 'salePrice' : ''}" 
                                          id="bookSalePrice" value="#{books.salePrice}"/>
                        </p:column>
                        <p:column>
                            <f:facet name="header">#{msgs.onSale}</f:facet>
                            <h:outputText class=" #{books.salePrice != books.listPrice? 'glyphicon glyphicon-ok' : 'glyphicon glyphicon-remove' }" id ="onSale">
                            </h:outputText>
                        </p:column>
                        <p:column>
                            <f:facet name="header">#{msgs.discountIn} %</f:facet>
                            <p:inputText id="discount" style="width:70px" binding="#{price}" type="number">
<!--                                    <f:validateDoubleRange minimum="0" maximum="99" />-->
                            </p:inputText>
                            <p:message for="discount" />
                        </p:column>
                        <p:column>
                            <f:facet name="header">#{msgs.setDiscount}</f:facet>
                            <p:commandButton icon="pi pi-pencil" actionListener="#{theBooks.editBookSalePrice(books.isbn,price.value)}"
                                             update=":saleForm:growl saleForm :saleForm:datatable bookSalePrice onSale remove" styleClass="btn btn-primary">
                            </p:commandButton>
                        </p:column>
                        <p:column>
                            <f:facet name="header">#{msgs.removeSale}</f:facet> 
                            <p:commandButton icon="pi pi-times" id="remove" disabled="#{books.salePrice == books.listPrice? 'true': 'false'}"
                                             actionListener="#{theBooks.removeBookDiscount(books.isbn)}" 
                                             styleClass="#{books.salePrice == books.listPrice? 'btn btn-danger disabled': 'btn btn-danger'}"
                                             update=":saleForm:growl :saleForm:datatable bookSalePrice onSale remove">
                            </p:commandButton>
                        </p:column>
                    </p:dataTable>
                </h:panelGroup>
            </h:form>
        </div>
    </h:body>
</ui:composition>
